* Inequality and labor markets*

capture log close

*#delimit
capture clear

capture log using "C:\desktop files 1_14_18\SDN JO PL DF\resultsjmcb.log", replace

set more 1
set mem 400m

use "C:\desktop files 1_14_18\SDN JO PL DF\datamacro_replication.dta",
xtset ifscode year


*****Table 1 & Figure 1****
**************************************************************Baseline**********************
***Gini************
reg  dlngini_market2 l(0/5)dummy_kaopen_2sd2 l(0/0)Type1_cur l(0/0)TR_Applied_Avg1 l(0/2)Type1_A l(0/5)Type1_P l(0/2)Type1_L   i.ifscode i.year, vce(cluster ifscode)
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd +l5.dummy_kaopen_2sd==0


***********Output**************
reg  GDP_growth__annual_2 l(0/5)dummy_kaopen_2sd2 l(0/0)Type1_cur l(0/0)TR_Applied_Avg1 l(0/2)Type1_A l(0/5)Type1_P l(0/2)Type1_L   i.ifscode i.year, vce(cluster ifscode)
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd +l5.dummy_kaopen_2sd==0

*****Table 2****
*****************5 years growth regression *********
reg dlngini_market5 l.dummy_kaopen5 l.Type1_cur5 l.Type1_A5 l.Type1_P5 l.Type1_L5 l.Type1_T5 i.ifscode i.year if year==1974 | year==1979 | year==1984 | year==1989 | year==1990 | year==1995 | year==2000 | year==2005 | year==2009 | year==2014,vce(cluster ifscode)
reg GDP_growth__annual5 l.dummy_kaopen5 l.Type1_cur5 l.Type1_A5 l.Type1_P5 l.Type1_L5  l.Type1_T5 i.ifscode i.year if year==1974 | year==1979 | year==1984 | year==1989 | year==1990 | year==1995 | year==2000 | year==2005 | year==2009 | year==2014,vce(cluster ifscode)
reg labshnew5 l.dummy_kaopen5  i.ifscode i.year if year==1974 | year==1979 | year==1984 | year==1989 | year==1990 | year==1995 | year==2000 | year==2005 | year==2009 | year==2014,r


reg dlngini_market5 l.dkaopen5 l.Type1_cur5 l.Type1_A5 l.Type1_P5 l.Type1_L5 l.Type1_T5 i.ifscode i.year if year==1974 | year==1979 | year==1984 | year==1989 | year==1990 | year==1995 | year==2000 | year==2005 | year==2009 | year==2014,vce(cluster ifscode)
reg GDP_growth__annual5 l.dkaopen5 l.Type1_cur5 l.Type1_A5 l.Type1_P5 l.Type1_L5  l.Type1_T5 i.ifscode i.year if year==1974 | year==1979 | year==1984 | year==1989 | year==1990 | year==1995 | year==2000 | year==2005 | year==2009 | year==2014,vce(cluster ifscode)
reg labshnew5 l.dkaopen5  i.ifscode i.year if year==1974 | year==1979 | year==1984 | year==1989 | year==1990 | year==1995 | year==2000 | year==2005 | year==2009 | year==2014,r


reg dlngini_market5 l.dummy_kaopen5 l.Type1_cur5 l.Type1_A5 l.Type1_P5 l.Type1_L5 l.Type1_T l.Type1_T5 i.ifscode i.year if year==1974 | year==1979 | year==1984 | year==1989 | year==1990 | year==1995 | year==2000 | year==2005 | year==2009 | year==2014,vce(cluster ifscode)
reg GDP_growth__annual5 l.dummy_kaopen5 l.Type1_cur5 l.Type1_A5 l.Type1_P5 l.Type1_L5 l.Type1_T l.Type1_T5 i.ifscode i.year if year==1974 | year==1979 | year==1984 | year==1989 | year==1990 | year==1995 | year==2000 | year==2005 | year==2009 | year==2014,vce(cluster ifscode)
reg labshnew5 l.labshnew l.dummy_kaopen5  i.ifscode i.year if year==1974 | year==1979 | year==1984 | year==1989 | year==1990 | year==1995 | year==2000 | year==2005 | year==2009 | year==2014,r

*****Figure 2****

**********************Additional controls**********************

***Gini************
reg  dlngini_market2 l(0/5)dummy_kaopen_2sd2 l(0/0)Type1_cur l(0/0)TR_Applied_Avg1 l(0/0)Type1_A l(0/5)Type1_P l(0/2)Type1_L lngdppc lngdppc_square d.lntrade_open lnpop  d.General_government_final_consump  d.Industry__value_added____of_GDP_ d.Agriculture__value_added____of_G d.fd_GFDDDI01  efw_a85_interpolated  d.Population_ages_0_14____of_total d.Population_ages_65_and_above_     i.cntry i.year, vce(cluster ifscode)
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd +l5.dummy_kaopen_2sd==0


***********Output**************
reg GDP_growth__annual_2 l(0/5)dummy_kaopen_2sd2 l(0/0)Type1_cur l(0/0)TR_Applied_Avg1 l(0/0)Type1_A l(0/5)Type1_P l(0/2)Type1_L lngdppc lngdppc_square d.lntrade_open lnpop  d.General_government_final_consump  d.Industry__value_added____of_GDP_ d.Agriculture__value_added____of_G d.fd_GFDDDI01  efw_a85_interpolated  d.Population_ages_0_14____of_total d.Population_ages_65_and_above_     i.cntry i.year, vce(cluster ifscode)
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd +l5.dummy_kaopen_2sd==0


*****Figure 3****
**********Controlling for futute expected growth****

reg  dlngini_market2 l(0/5)dummy_kaopen_2sd2 l(0/0)Type1_cur l(0/0)TR_Applied_Avg1 l(0/0)Type1_A l(0/0)Type1_P l(0/0)Type1_L  gr_lngdp_r_poct2 i.cntry i.year, vce(cluster ifscode)
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd +l5.dummy_kaopen_2sd==0




reg  GDP_growth__annual_ l(0/5)dummy_kaopen_2sd l(0/0)Type1_cur l(0/0)TR_Applied_Avg1 l(0/0)Type1_A l(0/5)Type1_P l(0/0)Type1_L gr_lngdp_r_poct  i.cntry i.year, vce(cluster cntry)
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd +l5.dummy_kaopen_2sd==0


*****Figure 4****
**********Controlling for two lags****
reg  dlngini_market2 l(0/5)dummy_kaopen_2sd2 l(0/0)Type1_cur l(0/0)TR_Applied_Avg1 l(0/0)Type1_A l(0/0)Type1_P l(0/2)Type1_L   i.cntry i.year l(3/4)dlngini_market2, vce(cluster ifscode)
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd +l5.dummy_kaopen_2sd==0




reg GDP_growth__annual_2 l(0/5)dummy_kaopen_2sd2 l(0/0)Type1_cur l(0/0)TR_Applied_Avg1 l(0/0)Type1_A l(0/0)Type1_P l(0/2)Type1_L   i.cntry i.year l(3/4)GDP_growth__annual_2, vce(cluster ifscode)
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd +l5.dummy_kaopen_2sd==0


*****Figure 5****

*******************************IV******************************

*GINI***

xi: ivreg2 d.lngini_market (dummy_kaopen_2sd  =l2kaopen ka_wei l.ka_wei)  ldummy_kaopen_2sd l2dummy_kaopen_2sd l3dummy_kaopen_2sd l4dummy_kaopen_2sd l5dummy_kaopen_2sd Type1_cur TR_Applied_Avg1 Type1_A Type1_P Type1_L   i.cntry i.year, r
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+ldummy_kaopen_2sd ==0
test dummy_kaopen_2sd+ldummy_kaopen_2sd +l2dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+ldummy_kaopen_2sd +l2dummy_kaopen_2sd +l3dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+ldummy_kaopen_2sd +l2dummy_kaopen_2sd +l3dummy_kaopen_2sd +l4dummy_kaopen_2sd==0
test dummy_kaopen_2sd+ldummy_kaopen_2sd +l2dummy_kaopen_2sd +l3dummy_kaopen_2sd +l4dummy_kaopen_2sd +l5dummy_kaopen_2sd==0

**Output****

xi: ivreg2 GDP_growth__annual_ (dummy_kaopen_2sd  =l2kaopen ka_wei l.ka_wei)  ldummy_kaopen_2sd l2dummy_kaopen_2sd l3dummy_kaopen_2sd l4dummy_kaopen_2sd l5dummy_kaopen_2sd Type1_cur TR_Applied_Avg1 Type1_A Type1_P Type1_L   i.cntry i.year, r
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+ldummy_kaopen_2sd ==0
test dummy_kaopen_2sd+ldummy_kaopen_2sd +l2dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+ldummy_kaopen_2sd +l2dummy_kaopen_2sd +l3dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+ldummy_kaopen_2sd +l2dummy_kaopen_2sd +l3dummy_kaopen_2sd +l4dummy_kaopen_2sd==0
test dummy_kaopen_2sd+ldummy_kaopen_2sd +l2dummy_kaopen_2sd +l3dummy_kaopen_2sd +l4dummy_kaopen_2sd +l5dummy_kaopen_2sd==0


*********************Figure 6********
*********************************interaction fiwth flows*****************

gen dfo5f=((f4.Total_assets+f4.Total_liabilities) -(l.Total_assets+l.Total_liabilities))/l.GDP__US
bys ifscode: egen mean_dfo5f = mean(dfo5f)
bys ifscode: egen sd_dfo5f = sd(dfo5f)
tsset ifscode year, yearly
gen zdfo5f=(dfo5f-mean_dfo5f)/sd_dfo5f
gen gdfo5f=exp(-1.5*zdfo5f)/(1+exp(-1.5*zdfo5f))
gen k_dfo5f=gdfo5f*dummy_kaopen_2sd2
gen k_nodfo5f=dummy_kaopen_2sd2*(1-gdfo5f)

reg  dlngini_market2  l(0/5)gdfo5f l(0/5)k_dfo5 l(0/5)k_nodfo5 l(0/0)Type1_cur l(0/0)TR_Applied_Avg1 l(0/0)Type1_A l(0/5)Type1_P l(0/2)Type1_L   i.ifscode i.year, vce(cluster cntry)
reg  GDP_growth__annual_2 l(0/5)gdfo5f l(0/5)k_dfo5 l(0/5)k_nodfo5 l(0/0)Type1_cur l(0/0)TR_Applied_Avg1 l(0/0)Type1_A l(0/5)Type1_P l(0/2)Type1_L   i.ifscode i.year, vce(cluster cntry)


test k_nodfo5==0
test k_nodfo5+l.k_nodfo5 ==0
test k_nodfo5+l.k_nodfo5 +l2.k_nodfo5 ==0
test k_nodfo5+l.k_nodfo5 +l2.k_nodfo5 +l3.k_nodfo5 ==0
test k_nodfo5+l.k_nodfo5 +l2.k_nodfo5 +l3.k_nodfo5 +l4.k_nodfo5==0
test k_nodfo5+l.k_nodfo5 +l2.k_nodfo5 +l3.k_nodfo5 +l4.k_nodfo5 +l5.k_nodfo5==0


test k_dfo5==0
test k_dfo5+l.k_dfo5 ==0
test k_dfo5+l.k_dfo5 +l2.k_dfo5 ==0
test k_dfo5+l.k_dfo5 +l2.k_dfo5 +l3.k_dfo5 ==0
test k_dfo5+l.k_dfo5 +l2.k_dfo5 +l3.k_dfo5 +l4.k_dfo5==0
test k_dfo5+l.k_dfo5 +l2.k_dfo5 +l3.k_dfo5 +l4.k_dfo5 +l5.k_dfo5==0



*************Figure 8*************

*****************before Financialc crisis***
***Gini************
reg  dlngini_market2 l(0/5)dummy_kaopen_2sd2 l(0/0)Type1_cur l(0/0)TR_Applied_Avg1 l(0/2)Type1_A l(0/5)Type1_P l(0/2)Type1_L   i.ifscode i.year if year<2008, vce(cluster ifscode)
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd +l5.dummy_kaopen_2sd==0



***********Output**************
reg  GDP_growth__annual_2 l(0/5)dummy_kaopen_2sd2 l(0/0)Type1_cur l(0/0)TR_Applied_Avg1 l(0/2)Type1_A l(0/5)Type1_P l(0/2)Type1_L   i.ifscode i.year if year<2008, vce(cluster ifscode)
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd +l5.dummy_kaopen_2sd==0

***labor share all countries***
reg  labshnew l(0/5)dummy_kaopen_2sd2   i.ifscode i.year if year<2008 , robust
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd +l5.dummy_kaopen_2sd==0

****************Figure 9************
*********************Analysis sectroal group************
**gini**
reg  dlngini_market2 l(0/5)dummy_kaopen_2sd2 l(0/0)Type1_cur l(0/0)TR_Applied_Avg1 l(0/2)Type1_A l(0/2)Type1_P l(0/2)Type1_L i.ifscode i.year if (ifscode==111 | ifscode==112 | ifscode==122 | ifscode==124| ifscode==128| ifscode==132 | ifscode==134| ifscode==136 | ifscode==137 | ifscode==138 |ifscode==144 | ifscode==156 | ifscode==158 | ifscode==172 | ifscode==174 | ifscode==178|ifscode==181 |ifscode==182 | ifscode==184 | ifscode==193 | ifscode==423| ifscode==528| ifscode==542 | ifscode==922| ifscode==935 | ifscode==936 | ifscode==939 |ifscode==944 |  ifscode==946  ) , r
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd +l5.dummy_kaopen_2sd==0

***output***
reg GDP_growth__annual_2  l(0/5)dummy_kaopen_2sd2 l(0/0)Type1_cur l(0/0)TR_Applied_Avg1 l(0/2)Type1_A l(0/2)Type1_P l(0/2)Type1_L i.ifscode i.year if (ifscode==111 | ifscode==112 | ifscode==122 | ifscode==124| ifscode==128| ifscode==132 | ifscode==134| ifscode==136 | ifscode==137 | ifscode==138 |ifscode==144 | ifscode==156 | ifscode==158 | ifscode==172 | ifscode==174 | ifscode==178|ifscode==181 |ifscode==182 | ifscode==184 | ifscode==193 | ifscode==423| ifscode==528| ifscode==542 | ifscode==922| ifscode==935 | ifscode==936 | ifscode==939 |ifscode==944 |  ifscode==946  ) , vce(cluster cntry)
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd +l5.dummy_kaopen_2sd==0

***labor share***
reg  labshnew l(0/5)dummy_kaopen_2sd2   i.ifscode i.year if (ifscode==111 | ifscode==112 | ifscode==122 | ifscode==124| ifscode==128| ifscode==132 | ifscode==134| ifscode==136 | ifscode==137 | ifscode==138 |ifscode==144 | ifscode==156 | ifscode==158 | ifscode==172 | ifscode==174 | ifscode==178| ifscode==181 |ifscode==182 | ifscode==184 | ifscode==193 | ifscode==423| ifscode==528| ifscode==542 | ifscode==922| ifscode==935 ) , robust
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd +l5.dummy_kaopen_2sd==0

***labor share all countries***
reg  labshnew l(0/5)dummy_kaopen_2sd2   i.ifscode i.year  , robust
test dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd ==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd==0
test dummy_kaopen_2sd+l.dummy_kaopen_2sd +l2.dummy_kaopen_2sd +l3.dummy_kaopen_2sd +l4.dummy_kaopen_2sd +l5.dummy_kaopen_2sd==0


